SSH runner using unsupported Alpine 3.6

Alpine 3.6 is unsupported since May 2019 as per https://wiki.alpinelinux.org/wiki/Alpine_Linux:Releases so Iā€™d like to see an update of the SSH runner base image to Alpine 3.12.
Using a supported Alpine release ensures security fixes and updates CA certificates!

I built a Docker image with Alpine 3.12 locally and it works fine. This is to be expected since the drone-runner-ssh Docker image does not depend on anything special from Alpine, just shipping a go binary so it should be fine.

I propose the following PR https://github.com/drone-runners/drone-runner-ssh/pull/3

I am planning on moving a number of our images to use scratch as the base. This reduces maintenance burden and prevents vulnerability scans from giving the false impression of security exposure related to OS packages.

1 Like

If you need a tester for the SSH runner image, Iā€™m happy to help :slight_smile: